## openclipart 0.18%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Put here files that are oversized and need to have a reduced size
OVERSIZED_FILES = ./clipart/animals/mammals/big_cats/tiger_graig_ryan_smith_-_01.svg \
		  ./clipart/computer/microchip_v.2_havok_redh_01.svg \
		  ./clipart/food/beverages/milk_mateya_01.svg \
		  ./clipart/food/bread_and_wine_mark_near_.svg \
		  ./clipart/food/breads_and_carbs/bread_mateya_01.svg \
		  ./clipart/food/breads_and_carbs/pasta_mateya_01.svg \
		  ./clipart/food/dairy/cheese_mateya_01.svg \
		  ./clipart/food/desserts/cake_mateya_01.svg \
		  ./clipart/food/fruit/apple_mateya_01.svg \
		  ./clipart/food/fruit/banana_mateya_01.svg \
		  ./clipart/food/meats_and_eggs/egg_mateya_01.svg \
		  ./clipart/food/meats_and_eggs/salami_mateya_01.svg \
		  ./clipart/food/vegetables/paprika_mateya_01.svg \
		  ./clipart/food/vegetables/salad_mateya_01.svg \
		  ./clipart/geography/africa_01.svg \
		  ./clipart/geography/europe_01.svg \
		  ./clipart/geography/oceania_01.svg \
		  ./clipart/geography/world_map_01.svg \
		  ./clipart/geography/world_map_02.svg \
		  ./clipart/recreation/games/chess/tamerlane_chess_jonadab_.svg \
		  ./clipart/recreation/tamerlane_chess_jonadab_.svg \
		  ./clipart/shapes/tangram_erwan_01.svg \
		  ./clipart/shapes/tangram_erwan_02.svg \
		  ./clipart/signs_and_symbols/flags/national_flag_of_the_re_.svg \
		  ./clipart/signs_and_symbols/flags/the_official_flag_of_i_r.svg \
		  ./clipart/signs_and_symbols/stop_sign_miguel_s_nchez_.svg \
		  ./clipart/transportation/roadsigns/stop_sign_right_font_mig_.svg

%:
	dh $@

override_dh_clean:
	# Files with space in their name are causing problems. Removing spaces.
	-mv "./clipart/recreation/music/CD_Player" "./clipart/recreation/music/CD Player"
	-mv "./clipart/unsorted/profilo_della_citta.svg" "./clipart/unsorted/profilo_della citta.svg"

	-rm -rf build
	-rm -f *-stamp
	dh_clean

override_dh_auto_build:
	# Files with space in their name are causing problems. Removing spaces.
	mv "./clipart/recreation/music/CD Player" "./clipart/recreation/music/CD_Player"
	mv "./clipart/unsorted/profilo_della citta.svg" "./clipart/unsorted/profilo_della_citta.svg"

	# Create svg and png files
	set -e -x; cd $(CURDIR)/clipart && for i in `find . -name "*.svg" -printf "%p " ` ; do \
		echo "Processing $$i" ; \
		dir=`dirname $$i` ; \
		file=`basename $$i` ; \
		pngfile=`basename $$file svg`png ; \
		mkdir -p $(CURDIR)/build/usr/share/openclipart/svg/$$dir ; \
		sed -e '/<i:pgf id="adobe_illustrator_pgf">/,/<\/i:pgf>/d' $(CURDIR)/clipart/$$dir/$$file > \
			$(CURDIR)/build/usr/share/openclipart/svg/$$dir/$$file ; \
		mkdir -p $(CURDIR)/build/usr/share/openclipart/png/$$dir ; \
		if echo $(OVERSIZED_FILES) | grep -q $$i ; then \
			inkscape -w 1500 --export-filename=$(CURDIR)/build/usr/share/openclipart/png/$$dir/$$pngfile \
				 $$dir/$$file 2>&1 | grep -v "^$$" | uniq; \
		else \
			inkscape --export-filename=$(CURDIR)/build/usr/share/openclipart/png/$$dir/$$pngfile \
				 $$dir/$$file 2>&1 | grep -v "^$$" | uniq; \
		fi ; \
		optipng -quiet $(CURDIR)/build/usr/share/openclipart/png/$$dir/$$pngfile; \
	done

	# Replace duplicates files by symlinks
	cd $(CURDIR)/build/ ; \
	set -e -x; fdupes -r -1 -o name . | while read lines ; do \
		unset MAIN ; \
		for dupes in $$lines ; do \
			if [ -z "$$MAIN" ] ; then \
	    			MAIN=`echo $$dupes | sed s/\\.//` ; \
			else \
				ln -sf $$MAIN $$dupes ; \
			fi ; \
		done ; \
	done

	# Move some files
	mv $(CURDIR)/build/usr/share/openclipart/svg/animals/birds/macchina_fotografica_di_01.svg \
		$(CURDIR)/build/usr/share/openclipart/svg/electronics/
	mv $(CURDIR)/build/usr/share/openclipart/png/animals/birds/macchina_fotografica_di_01.png \
		$(CURDIR)/build/usr/share/openclipart/png/electronics/

	# Create OOo gallery files; we need to add the files in hunks
	# because we otherwise may get too many arguments....
	mkdir -p $(CURDIR)/build/usr/lib/libreoffice/share/gallery
	set -e -x; for dir in `find build/usr/share/openclipart/png -mindepth 1 -maxdepth 1 -type d | LC_CTYPE=C sort` ; do \
		gal_name=$${dir##*/}; \
		gal_oooname=`echo $$gal_name | awk '{gsub("_"," ");a=toupper(substr($$0,1,1));b=substr($$0,2);print a b}' | sed -e "s/^Education/Education2/" | sed -e "s/^People/People2/" | sed -e "s/^Transportation/Transportation2/"` ; \
		echo "Doing gallery $$gal_oooname..."; \
		find $(CURDIR)/$$dir -name "*.png" -and -not -type l >> build/$$gal_name.filelist; \
		split -d -l 250 build/$$gal_name.filelist build/$$gal_name.filelist- ; \
		for file in build/$$gal_name.filelist-*; do \
			echo "Processing filelist $$file"; \
			SAL_USE_VCLPLUGIN="svp" /usr/lib/libreoffice/program/gengal --name "$$gal_oooname" --path "$(CURDIR)/build/usr/lib/libreoffice/share/gallery" --destdir "$(CURDIR)/build" `cat $$file | xargs`; \
		done; \
	done

	cd $(CURDIR)/build/usr/lib/libreoffice/share/gallery; \
	for i in sdg sdv thm; do \
		mv shapes.$$i shapes-openclipart.$$i; \
	done

	touch build-stamp

override_dh_auto_install:
	# ignore install target of upstream Makefile

## openclipart 0.18+dfsg

=== Makefile ===
#
# Makefile for openclipart packages
#
# Copyright 2005, Jon Phillips.
#
# It is quite basic. But getting more complex by the day.
#
# To do a basic installation:
#	make install
#
# To do a basic packaging build:
# 	make dist
# 
# Then get your packages out the folder, packages
#
# Read through below for specific directives on how to build different versions
#
# To make the windows installer, make sure you have nsis installed. I set it
# up because it's a nonstandard install, to /opt/nsis, which is a symlink to
# the full path, which is like /opt/nsis-2.08. So, make a symlink to yours in
# that location, or just do:
#
# 	MAKENSIS=/PATH/TO/YOUR/makensis make nsis
#
# I did not add MAKENSIS into the normal make dist, because it has a little
# more quirkiness.
#
# TODO:
# * Fix RPM stuff. I removed from make dist for now.
#
#
RELEASE_NUM = $(shell cat VERSION)
APPNAME = openclipart
FULLNAME= Open Clip Art Library
SRCDIR = clipart
TOOLSDIR= tools
PACKAGEDIR=packages

PACK_FULL_DIR=$(APPNAME)-$(RELEASE_NUM)-full
PACK_SVG_DIR=$(APPNAME)-$(RELEASE_NUM)-svgonly
PACK_TOOLS_DIR=$(APPNAME)-$(RELEASE_NUM)-tools

PACK_PREP_FULL_DIR=$(PACKAGEDIR)/$(PACK_FULL_DIR)
PACK_PREP_SVG_DIR=$(PACKAGEDIR)/$(PACK_SVG_DIR)
PACK_PREP_TOOLS_DIR=$(PACKAGEDIR)/$(PACK_TOOLS_DIR)

NSISDIR=nsis
NSIS_SCRIPT = build.nsi

INSTALL = /bin/install -c
MAKENSIS = /opt/nsis/makensis

PREFIX = /usr/local
EXEC_PREFIX = $(PREFIX)
BINDIR=$(PREFIX)/bin
DATADIR=$(PREFIX)/share
CLIPARTDIR=$(DATADIR)/clipart
# Do we really want the release number here? I don't think so.
#APPDIR=$(CLIPARTDIR)/$(APPNAME)-$(RELEASE_NUM)
APPDIR=$(CLIPARTDIR)/$(APPNAME)
MANDIR=$(DATADIR)/man
MAN1DIR=$(MANDIR)/man1
DESTDIR=

# List of author credit files
AUTHORS_FILES=AUTHORS.in

# List of files to be included in distributions
DIST_FILES=AUTHORS \
	ChangeLog \
	LICENSE \
	NEWS \
	README \
	VERSION \
	INSTALL \
	Makefile \
	$(APPNAME).spec \
	$(APPNAME).spec.in \
	$(AUTHORS_FILES)

# Tools directory needs a major cleanup and possibly its own Makefile
# before it's ready to be distributed
TOOLS_FILES=AUTHORS \
	VERSION \
	LICENSE

# DIST_FILES=`find $(SRCDIR) -name "*"`

# The following files are autogenerated and should not be in CVS
# AUTHORS
# nist/build.nsi
# openclipart.spec

all: AUTHORS versions

# Create release directories ready for packaging
distprep: all

	# create package directories
	rm -rf $(PACK_PREP_FULL_DIR) $(PACK_PREP_SVG_DIR) $(PACK_PREP_TOOLS_DIR)
	install -m 755 -d $(PACK_PREP_FULL_DIR)
	install -m 755 -d $(PACK_PREP_SVG_DIR)
	install -m 755 -d $(PACK_PREP_TOOLS_DIR)
	
	# copy data into packaging area
	cp -Rfp $(SRCDIR) $(PACK_PREP_FULL_DIR)
	cp -Rfp $(SRCDIR) $(PACK_PREP_SVG_DIR)
	cp -Rfp $(TOOLSDIR)/* $(PACK_PREP_TOOLS_DIR)
	
	# Copy in all dist and package files to both
	install -m 644 $(DIST_FILES) $(PACK_PREP_FULL_DIR)
	install -m 644 $(DIST_FILES) $(PACK_PREP_SVG_DIR)
	install -m 644 $(TOOLS_FILES) $(PACK_PREP_TOOLS_DIR)

	# Copy in nsis files to both
	cp -Rfp $(NSISDIR) $(PACK_PREP_FULL_DIR)
	cp -Rfp $(NSISDIR) $(PACK_PREP_SVG_DIR)

	# Get rid of all CVS folders in the packaging area
	find $(PACK_PREP_FULL_DIR) $(PACK_PREP_SVG_DIR) $(PACK_PREP_TOOLS_DIR) \
		-depth -name CVS -type d -exec rm -rf {} \;

	# Get rid of non-svg files from SVG directory
	find $(PACK_PREP_SVG_DIR)/$(SRCDIR) \( -name '*.*' -not -name '*svg' \)\
		-type f -exec rm -f {} \;

install: all
	$(INSTALL) -m 755 -d $(DESTDIR)$(APPDIR)
	cd $(SRCDIR); \
	for d in `find . -type d -not -name CVS -print`; \
	do \
		$(INSTALL) -m 755 -d $(DESTDIR)$(APPDIR)/$$d; \
		for f in `find $$d -maxdepth 1 -type f -print`; \
		do \
			$(INSTALL) -m 644 $$f $(DESTDIR)$(APPDIR)/$$d; \
		done; \
	done
	$(INSTALL) -m 644 $(DIST_FILES) $(DESTDIR)$(APPDIR)
	# Install manpage if someone writes one
	#$(INSTALL) -m 755 -d $(DESTDIR)$(MAN1DIR)
	#$(INSTALL) -m 644 $(APPNAME).1 $(DESTDIR)$(MAN1DIR)

uninstall:
	rm -rf $(DESTDIR)$(APPDIR)
	# rm -f $(DESTDIR)$(MAN1DIR)/$(APPNAME).1

zip: distprep
	(cd $(PACKAGEDIR); zip -r $(PACK_FULL_DIR).zip $(PACK_FULL_DIR))

tarball: distprep
	tar -C $(PACKAGEDIR) -czf $(PACK_PREP_FULL_DIR).tar.gz $(PACK_FULL_DIR)

bzip: distprep
	tar -C $(PACKAGEDIR) -cjf $(PACK_PREP_FULL_DIR).tar.bz2 $(PACK_FULL_DIR)

zip-svgonly: distprep
	(cd $(PACKAGEDIR); zip -r $(PACK_SVG_DIR).zip $(PACK_SVG_DIR))

tarball-svgonly: distprep
	tar -C $(PACKAGEDIR) -czf $(PACK_PREP_SVG_DIR).tar.gz $(PACK_SVG_DIR)

bzip-svgonly: distprep
	tar -C $(PACKAGEDIR) -cjf $(PACK_PREP_SVG_DIR).tar.bz2 $(PACK_SVG_DIR)

zip-tools: distprep
	(cd $(PACKAGEDIR); zip -r $(PACK_TOOL_DIR).zip $(PACK_TOOLS_DIR))

tarball-tools: distprep
	tar -C $(PACKAGEDIR) -czf $(PACK_PREP_TOOLS_DIR).tar.gz $(PACK_TOOLS_DIR)
	
bzip-tools: distprep
	tar -C $(PACKAGEDIR) -cjf $(PACK_PREP_TOOLS_DIR).tar.bz2 $(PACK_TOOLS_DIR)

rpm:	bzip
	rpmbuild --define "_rpmdir `pwd`" \
		 --define '_build_name_fmt %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
		 -tb $(PACK_PREP_FULL_DIR).tar.bz2
	mv *.rpm $(PACKAGEDIR)

srpm:	bzip
	rpmbuild --define "_srcrpmdir `pwd`" \
		 --define '_build_name_fmt %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
		 -ts $(PACK_PREP_FULL_DIR).tar.bz2
	mv *.rpm $(PACKAGEDIR)

rpms:	bzip
	rpmbuild --define "_rpmdir `pwd`" \
		 --define "_srcrpmdir `pwd`" \
		 --define '_build_name_fmt %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
		 -ta $(PACK_PREP_FULL_DIR).tar.bz2
	mv *.rpm $(PACKAGEDIR)

nsis: distprep
	$(NSISDIR)/bin/buildtranslations.plx $(NSISDIR)/$(NSIS_SCRIPT) \
		$(NSISDIR)/
	$(MAKENSIS) $(NSISDIR)/$(NSIS_SCRIPT)

dist: all zip tarball bzip \
	zip-svgonly tarball-svgonly bzip-svgonly \
	zip-tools tarball-tools bzip-tools

test:
	@echo "RELEASE_NUM: $(RELEASE_NUM)"
	@echo "APPNAME: $(APPNAME)"
	@echo "SRCDIR: $(SRCDIR)"
	@echo "TOOLSDIR: $(TOOLSDIR)"
	@echo "PACKAGEDIR: $(PACKAGEDIR)"
	@echo "PACK_FULL_DIR: $(PACK_FULL_DIR)"
	@echo "PACK_SVG_DIR: $(PACK_SVG_DIR)"
	@echo "PACK_TOOLS_DIR: $(PACK_TOOLS_DIR)"
	@echo "PACK_PREP_FULL_DIR: $(PACK_PREP_FULL_DIR)"
	@echo "PACK_PREP_SVG_DIR: $(PACK_PREP_SVG_DIR)"
	@echo "PACK_PREP_TOOLS_DIR: $(PACK_PREP_TOOLS_DIR)"
	
	@echo "DATADIR: $(DATADIR)"
	@echo "CLIPARTDIR: $(CLIPARTDIR)"
	@echo "APPDIR: $(APPDIR)"
	@echo "MANDIR: $(MANDIR)"
	@echo "MAN1DIR: $(MAN1DIR)"
	@echo "INSTALL: $(INSTALL)"

clean:
	rm -f AUTHORS
	rm -f $(NSISDIR)/$(NSIS_SCRIPT)
	rm -Rf $(NSISDIR)/translations $(NSISDIR)/includes
	rm -f $(APPNAME).spec
	rm -f $(APPNAME).1

distclean: clean
	rm -rf $(PACKAGEDIR)

# ready for adding artists' names generated from the clipart/ processes
# just cat any other AUTHORS files to get this sorted list
AUTHORS: $(AUTHORS_FILES)
	cat $(AUTHORS_FILES) | sort -u > AUTHORS

# embed version number where needed
versions: $(NSISDIR)/$(NSIS_SCRIPT) $(APPNAME).spec

# embed version number in the NSIS build script input file
# also replace some constants that are hard to define in nsis 
$(NSISDIR)/$(NSIS_SCRIPT): $(NSISDIR)/$(NSIS_SCRIPT).in VERSION
	sed -e "s/APP_VERSION/$(RELEASE_NUM)/" \
		$(NSISDIR)/$(NSIS_SCRIPT).in > $(NSISDIR)/$(NSIS_SCRIPT).tmp
	
	sed -e "s/FULL_NAME/$(FULLNAME)/" \
		$(NSISDIR)/$(NSIS_SCRIPT).tmp > $(NSISDIR)/$(NSIS_SCRIPT).tmp2
	
	sed -e "s/SHORT_NAME/$(APPNAME)/" \
		$(NSISDIR)/$(NSIS_SCRIPT).tmp2 > $(NSISDIR)/$(NSIS_SCRIPT).tmp3

	sed -e "s/NSISDIR/$(NSISDIR)/" \
		$(NSISDIR)/$(NSIS_SCRIPT).tmp3 > $(NSISDIR)/$(NSIS_SCRIPT)

	# clean up tmp files
	rm -Rf $(NSISDIR)/$(NSIS_SCRIPT).tmp*

# embed version number in the spec file
$(APPNAME).spec: $(APPNAME).spec.in VERSION
	sed -e "s/APP_VERSION/$(RELEASE_NUM)/" \
		$(APPNAME).spec.in > $(APPNAME).spec

=== debian/changelog ===
openclipart (1:0.18+dfsg-19) unstable; urgency=medium

  * QA upload

  * actially it didn't hang but just took aaaaaaaaggggggeesss, re-enable
    optipng 

 -- Rene Engelhard <rene@debian.org>  Mon, 06 Jul 2020 17:42:53 +0000

openclipart (1:0.18+dfsg-18) unstable; urgency=medium

  * QA upload.
  * Build-Depend on libreoffice-dev-gui (closes: #964262) 
  * rename shapes.* to shapes-openclipart (closes: #964261) 
  * disable optipng usage since it hangs on stop_sign_miguel_s_nchez_.png

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Jul 2020 08:13:45 +0000

openclipart (1:0.18+dfsg-17) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with inkscape 1.0.  (Closes: #959627)
  * Do not ignore errors during build.  (Closes: #760360)
  * Deduplicate files deterministically.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 May 2020 13:51:52 +0200

openclipart (1:0.18+dfsg-16) unstable; urgency=medium

  * QA upload.
  * Explicitly build-depend on libreoffice-core.  (Closes: #953866)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Mar 2020 20:36:28 +0100

openclipart (1:0.18+dfsg-15) unstable; urgency=low

  * QA upload.
  * Maintainer set to Debian QA Group. (see #690518)
  * Replace the no longer existing build dependency java-gcj-compat
    with default-jre-headless and libreoffice-java-common.
  * Avoid filename conflicts with libreoffice-common when
    building with recent libreoffice.
  * Priority: extra -> optional
  * Remove no longer needed lintian overrides.

 -- Adrian Bunk <bunk@debian.org>  Sat, 01 Dec 2018 14:21:45 +0200

openclipart (1:0.18+dfsg-14) unstable; urgency=medium

  * This is the older (and smaller) openclipart, reintroduced so that users
    may choose between the larger openclipart2, sorted by artist, and the
    smaller openclipart, sorted by subject (closes: #664138)
  * Using optipng to compress the images (closes: #468416)
  * Updated debhelper level to 9
  * Now using quilt (3.0)
  * Updated Standards-Version to 3.9.3.0 (no changes needed)
  * Applied changes that Rene Engelhard made awhile back in experimental in
    order to fix basis-link issues with Libreoffice 3.5
  * Changed dh_clean -k to dh_prep, since dh_clean -k is deprecated
  * Added ${misc:Depends} to all binary packages to make Lintian happy
  * Dropped the "-1" part of the version on the inkscape dependency to make
    Lintian happy
  * Switch ${Source:Version} to ${binary:Version} to make Lintian happy

 -- Martin Kelly <aomighty@gmail.com>  Wed, 23 May 2012 18:51:45 -0400

openclipart (0.18+dfsg-11) unstable; urgency=low

  * QA upload
  * adapt for LibreOffice

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Feb 2011 13:11:38 +0100

openclipart (0.18+dfsg-10) unstable; urgency=medium

  * QA upload
  * set maintainer to Debian QA Group
  * throw away empty lines and double lines from the inkscape calls,
    thanks Wolfram Quester (closes: #594036)

 -- Rene Engelhard <rene@debian.org>  Tue, 24 Aug 2010 23:55:26 +0200

openclipart (0.18+dfsg-9) unstable; urgency=low

  * rebuild for OOo 3.2 (closes: #565970)
  * mention that openclipart is a meta package (closes: #564313)

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Feb 2010 13:24:01 +0100

openclipart (0.18+dfsg-8) unstable; urgency=low

  * rebuild for OOo 3.1
  * add conflicts against openoffice.org-commons newer than the basis we
    build against (( >= ${basis-version}.99) )
  * stop using Xvfb and rely on the headless mode of OOo/VCL. Makes the build
    not fail on sid due to Xvfb crashing...

 -- Rene Engelhard <rene@debian.org>  Thu, 07 May 2009 17:16:39 +0200

openclipart (0.18+dfsg-7) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Feb 2009 00:31:54 +0100

openclipart (0.18+dfsg-6) experimental; urgency=low

  * update for 3-layer OOo (basis-link)
  * move Homepage from description to Homepage:
  * remove bashisms (closes: #459115)

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Jan 2009 08:45:16 +0100

openclipart (0.18+dfsg-5) unstable; urgency=low

  * new maintainer

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Jan 2007 19:52:13 +0100

openclipart (0.18+dfsg-4) unstable; urgency=low

  * Fixed background size of router_joeseph_teed_01.svg (closes: bug#343999).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 19 Dec 2005 15:05:58 +0100

openclipart (0.18+dfsg-3) unstable; urgency=low

  * Build images with the latest version of inkscape (>= 0.42.2+0.43pre1-1)
    which seems to be better than rsvg _at least for now_ (closes: bug#338321).
  * Move macchina_fotografica_di_01.svg to electronics (closes: bug#338323).

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  9 Nov 2005 16:37:10 +0100

openclipart (0.18+dfsg-2) unstable; urgency=low

  * Build-depends on xbase-clients and xfonts-base (closes: bug#337204).
  * Added some more files to the list of svg files to build with inkscape.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  4 Nov 2005 22:19:07 +0100

openclipart (0.18+dfsg-1) unstable; urgency=low

  [ Aurelien Jarno ]
  * New upstream version.
  * Lot of changes in the build process.
  * Seems that rsvg doesn't like some files, process them with inkscape.

  [ Rene Engelhard ]
  * build openclipart-openoffice.org dynamically using gengal instead
    of shippig manually pre-built files and also let the numbers
    only start at 70 to avoid collisions with OOo2. Build-Depend
    on openoffice.org-dev (>= 2.0.0) and xvfb (gengal needs X...).
  * add myself to Uploaders:

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  1 Nov 2005 02:16:07 +0100

openclipart (0.17+dfsg-4) unstable; urgency=low

  * Switch back to rsvg to convert svg images to png, as it seems that
    inkscape does not implement all the svg format (closes: bug#331715).

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  5 Oct 2005 01:46:29 +0200

openclipart (0.17+dfsg-3) unstable; urgency=low

  * Added a build-dependency on fdupes (closes: bug#331565).



=== debian/control ===
Source: openclipart
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: inkscape (>= 1.0~), fdupes, libreoffice-core, libreoffice-dev-gui, default-jre-headless, libreoffice-java-common, optipng
Standards-Version: 3.9.3.0
Homepage: http://www.openclipart.org

Package: openclipart
Architecture: all
Depends: openclipart-svg (>= ${binary:Version}), openclipart-png (>= ${binary:Version}), openclipart-libreoffice (= ${binary:Version}), ${misc:Depends}
Description: Open Clip Art Library
 The Open Clip Art Library is a collection of 100% license-free,
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 The clip art in this package is sorted by subject (e.g. sports). Openclipart 2
 is sorted by artist (who created the clip art) and is much larger.
 .
 This package is a metapackage installing both the SVG and PNG (converted
 from SVG) versions.

Package: openclipart-svg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openclipart (<< 0.10+dfsg-3)
Recommends: librsvg2-bin
Suggests: ksvg, gimp-svg, inkscape, sodipodi, sketch
Description: clip art in SVG format
 The Open Clip Art Library is a collection of 100% license-free,
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 The clip art in this package is sorted by subject (e.g. sports). Openclipart 2
 is sorted by artist (who created the clip art) and is much larger.
 .
 This package contains the images in Scalable Vector Graphic
 (SVG) format, which is an XML format approved by the W3C.

Package: openclipart-png
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openclipart (<< 0.10+dfsg-3)
Suggests: gimp
Description: clip art in PNG format
 The Open Clip Art Library is a collection of 100% license-free,
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 The clip art in this package is sorted by subject (e.g. sports). Openclipart 2
 is sorted by artist (who created the clip art) and is much larger.
 .
 This package contains the images in Portable Network Graphics
 (PNG) format.

Package: openclipart-libreoffice
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openclipart-png (= ${binary:Version})
Conflicts: openclipart (<< 0.10+dfsg-3), libreoffice-common (<< 1:3.5.0~beta~)
Recommends: libreoffice
Description: clip art for OpenOffice.org/LibreOffice gallery
 The Open Clip Art Library is a collection of 100% license-free,
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 The clip art in this package is sorted by subject (e.g. sports). Openclipart 2
 is sorted by artist (who created the clip art) and is much larger.
 .
 This package contains the OpenOffice.org/LibreOffice Gallery info files.

=== debian/rules ===
--- 
+++ 
@@ -1,41 +1,29 @@
 #!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 # Put here files that are oversized and need to have a reduced size
 OVERSIZED_FILES = ./clipart/animals/mammals/big_cats/tiger_graig_ryan_smith_-_01.svg \
-		  ./clipart/computer/microchip_v.2_havok_redh_01.svg \
-		  ./clipart/food/beverages/milk_mateya_01.svg \
+		  ./clipart/signs_and_symbols/flags/national_flag_of_the_re_.svg \
+		  ./clipart/signs_and_symbols/flags/the_official_flag_of_i_r.svg \
 		  ./clipart/food/bread_and_wine_mark_near_.svg \
-		  ./clipart/food/breads_and_carbs/bread_mateya_01.svg \
-		  ./clipart/food/breads_and_carbs/pasta_mateya_01.svg \
-		  ./clipart/food/dairy/cheese_mateya_01.svg \
-		  ./clipart/food/desserts/cake_mateya_01.svg \
-		  ./clipart/food/fruit/apple_mateya_01.svg \
-		  ./clipart/food/fruit/banana_mateya_01.svg \
-		  ./clipart/food/meats_and_eggs/egg_mateya_01.svg \
-		  ./clipart/food/meats_and_eggs/salami_mateya_01.svg \
-		  ./clipart/food/vegetables/paprika_mateya_01.svg \
-		  ./clipart/food/vegetables/salad_mateya_01.svg \
 		  ./clipart/geography/africa_01.svg \
 		  ./clipart/geography/europe_01.svg \
 		  ./clipart/geography/oceania_01.svg \
 		  ./clipart/geography/world_map_01.svg \
 		  ./clipart/geography/world_map_02.svg \
-		  ./clipart/recreation/games/chess/tamerlane_chess_jonadab_.svg \
-		  ./clipart/recreation/tamerlane_chess_jonadab_.svg \
 		  ./clipart/shapes/tangram_erwan_01.svg \
 		  ./clipart/shapes/tangram_erwan_02.svg \
-		  ./clipart/signs_and_symbols/flags/national_flag_of_the_re_.svg \
-		  ./clipart/signs_and_symbols/flags/the_official_flag_of_i_r.svg \
-		  ./clipart/signs_and_symbols/stop_sign_miguel_s_nchez_.svg \
-		  ./clipart/transportation/roadsigns/stop_sign_right_font_mig_.svg
+		  ./clipart/recreation/games/chess/tamerlane_chess_jonadab_.svg \
+		  ./clipart/recreation/tamerlane_chess_jonadab_.svg
 
-%:
-	dh $@
+clean:
+	dh_testdir
+	dh_testroot
 
-override_dh_clean:
 	# Files with space in their name are causing problems. Removing spaces.
 	-mv "./clipart/recreation/music/CD_Player" "./clipart/recreation/music/CD Player"
 	-mv "./clipart/unsorted/profilo_della_citta.svg" "./clipart/unsorted/profilo_della citta.svg"
@@ -44,7 +32,16 @@
 	-rm -f *-stamp
 	dh_clean
 
-override_dh_auto_build:
+
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
+build-stamp:
+	dh_testdir
+
 	# Files with space in their name are causing problems. Removing spaces.
 	mv "./clipart/recreation/music/CD Player" "./clipart/recreation/music/CD_Player"
 	mv "./clipart/unsorted/profilo_della citta.svg" "./clipart/unsorted/profilo_della_citta.svg"
@@ -110,5 +107,53 @@
 
 	touch build-stamp
 
-override_dh_auto_install:
-	# ignore install target of upstream Makefile
+install: build
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs
+
+	# Install PNG files
+	cp -af $(CURDIR)/build/usr/share/openclipart/png/* \
+		$(CURDIR)/debian/openclipart-png/usr/share/openclipart/png/
+
+	# Install SVG files
+	cp -af $(CURDIR)/build/usr/share/openclipart/svg/* \
+		$(CURDIR)/debian/openclipart-svg/usr/share/openclipart/svg/
+
+	# Install OOo files
+	mkdir -p $(CURDIR)/debian/openclipart-libreoffice/usr/lib/libreoffice/share/gallery
+	cp -af $(CURDIR)/build/usr/lib/libreoffice/share/gallery/* \
+		$(CURDIR)/debian/openclipart-libreoffice/usr/lib/libreoffice/share/gallery/
+
+
+# Build architecture-dependent files here.
+# We have nothing to do by default.
+binary-arch: build install
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf
+	dh_installdocs
+	dh_installexamples
+#	dh_installlogrotate
+	dh_installcron
+	dh_installman
+	dh_installinfo
+	dh_installchangelogs
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install

## openclipart 2.0

=== debian/changelog ===
openclipart (2.0-1ubuntu1) precise; urgency=low

  * adapt for basisX.Y / basis-link removal in LibreOffice 3.5 (LP: #960389)
    (from 0.18+dfsg-13)

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Thu, 22 Mar 2012 11:13:10 -0500

openclipart (2.0-1) unstable; urgency=low

  * New upstream release (Closes: #466343)
  * New maintainer, Martin Kelly <aomighty@gmail.com> (Closes: #585965)
  * Bumped Standards-Version to 3.9.2.0 (no changes needed)
  * Updated compat to 7
  * Removed overrides file; the problematic files aren't in this release, so
    it's no longer needed
  * Removed check for files with spaces; also no longer needed for same reason
  * Removed the moving of specific files which no longer exist
  * Removed the checking for oversized files; the latest versions of
    Libreoffice seem to work fine with the oversized files
  * Fixed clipart/liftarn/liftarn_Children.svg, changing it to utf-8 so that
    inkscape won't have problems with it
  * Quoted strings containing filenames since some have parantheses

 -- Martin Kelly <aomighty@gmail.com>  Sun, 05 Jun 2011 01:07:40 -0400

=== debian/control ===
Source: openclipart
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Kelly <aomighty@gmail.com>
Build-Depends: debhelper (>> 4.0.0)
Build-Depends-Indep: inkscape (>= 0.42.2+0.43pre1-1), fdupes, libreoffice-dev, java-gcj-compat
Standards-Version: 3.9.2.0
Homepage: http://www.openclipart.org

Package: openclipart
Architecture: all
Depends: openclipart-svg (>= ${Source-Version}), openclipart-png (>= ${Source-Version}), openclipart-libreoffice (= ${Source-Version})
Description: Open Clip Art Library
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package is a meta package installing both the SVG and PNG (converted
 from SVG) versions.

Package: openclipart-svg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openclipart (<< 0.10+dfsg-3)
Recommends: librsvg2-bin
Suggests: ksvg, gimp-svg, inkscape, sodipodi, sketch
Description: clip art in SVG format
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains the images in Scalable Vector Graphic
 (SVG) format, which is an XML format approved by the W3C.

Package: openclipart-png
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openclipart (<< 0.10+dfsg-3)
Suggests: gimp
Description: clip art in PNG format
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains the images in Portable Network Graphics 
 (PNG) format.

Package: openclipart-libreoffice
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openclipart-png (= ${Source-Version})
Conflicts: openclipart (<< 0.10+dfsg-3), libreoffice-common (<< 1:3.5.0~)
Recommends: libreoffice
Description: clip art for OpenOffice.org/LibreOffice gallery
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains the OpenOffice.org/LibreOffice Gallery info files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean: 
	dh_testdir
	dh_testroot
	
	-rm -rf build
	-rm -f *-stamp
	dh_clean

build: build-stamp
build-stamp:
	dh_testdir
	
	# Create svg and png files
	cd $(CURDIR)/clipart && for i in `find . -name "*.svg" -printf "%p " ` ; do \
		echo "Processing $$i" ; \
		dir=`dirname $$i` ; \
		file=`basename $$i` ; \
		pngfile=`basename $$file svg`png ; \
		mkdir -p $(CURDIR)/build/usr/share/openclipart/svg/$$dir ; \
		sed -e '/<i:pgf id="adobe_illustrator_pgf">/,/<\/i:pgf>/d' "$(CURDIR)/clipart/$$dir/$$file" > \
			"$(CURDIR)/build/usr/share/openclipart/svg/$$dir/$$file" ; \
		mkdir -p $(CURDIR)/build/usr/share/openclipart/png/$$dir ; \
		inkscape --export-png="$(CURDIR)/build/usr/share/openclipart/png/$$dir/$$pngfile" \
			 "$$dir/$$file" 2>&1 | grep -v "^$$" | uniq; \
	done
  
	# Replace duplicates files by symlinks
	cd $(CURDIR)/build/ ; \
	fdupes -r -1 . | while read lines ; do \
		unset MAIN ; \
		for dupes in $$lines ; do \
			if [ -z "$$MAIN" ] ; then \
	    			MAIN=`echo $$dupes | sed s/\\.//` ; \
			else \
				ln -sf $$MAIN $$dupes ; \
			fi ; \
		done ; \
	done

	# Create OOo gallery files; we need to add the files in hunks
	# because we othererwise may get too many arguments....
	mkdir -p $(CURDIR)/build/usr/lib/libreoffice/share/gallery
	for dir in `find build/usr/share/openclipart/png -mindepth 1 -maxdepth 1 -type d | LC_CTYPE=C sort` ; do \
		gal_name=$${dir##*/}; \
		gal_oooname=`echo $$gal_name | awk '{gsub("_"," ");a=toupper(substr($$0,1,1));b=substr($$0,2);print a b}'` ; \
		echo "Doing gallery $$gal_oooname..."; \
		find $(CURDIR)/$$dir -name "*.png" -and -not -type l >> build/$$gal_name.filelist; \
		split -d -l 250 build/$$gal_name.filelist build/$$gal_name.filelist- ; \
		for file in build/$$gal_name.filelist-*; do \
			echo "Processing filelist $$file"; \
			SAL_USE_VCLPLUGIN="svp" /usr/lib/libreoffice/program/gengal --name "$$gal_oooname" --path "$(CURDIR)/build/usr/lib/libreoffice/share/gallery" --destdir "$(CURDIR)/build" --number-from "70" `cat $$file | xargs`; \
		done; \
	done
	
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install PNG files
	cp -af $(CURDIR)/build/usr/share/openclipart/png/* \
		$(CURDIR)/debian/openclipart-png/usr/share/openclipart/png/

	# Install SVG files
	cp -af $(CURDIR)/build/usr/share/openclipart/svg/* \
		$(CURDIR)/debian/openclipart-svg/usr/share/openclipart/svg/

	# Install LibreOffice files
	mkdir -p $(CURDIR)/debian/openclipart-libreoffice/usr/lib/libreoffice/share/gallery
	cp -af $(CURDIR)/build/usr/lib/libreoffice/share/gallery/* \
		$(CURDIR)/debian/openclipart-libreoffice/usr/lib/libreoffice/share/gallery/

# Build architecture-dependent files here.
# We have nothing to do by default.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installlogrotate
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
